﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Whereabouts.ascx.cs" Inherits="SplendidCRM.Home.Whereabouts" %>
<%@ Register assembly="SplendidCRM" namespace="ExtendedControls" tagprefix="cc1" %>
<%@ Register TagPrefix="SplendidCRM" Tagname="AddHeader" Src="~/_controls/AddHeader.ascx" %>
<%@ Register TagPrefix="SplendidCRM" Tagname="DatePicker" Src="~/_controls/DatePicker.ascx" %>
<SplendidCRM:AddHeader ID="ListHeader1" Title="Home.LBL_WHEREABOUTS" Runat="Server" DivAddName="AddNew" DivEditName="Edit" />

<asp:Panel ID="Panel1" CssClass="button-panel" Visible="<%# !PrintView %>" runat="server">
	<asp:Label ID="lblError" CssClass="error" EnableViewState="false" Runat="server" />
</asp:Panel>

<div id="AddNew" style="display:none">
    <h2>Add Entry</h2>   
    <asp:Table ID="Table1" runat="server">
        <asp:TableRow>
            <asp:TableHeaderCell>Name:</asp:TableHeaderCell>
            <asp:TableCell><asp:TextBox runat="server" ID="Name" /></asp:TableCell></asp:TableRow><asp:TableRow>
            <asp:TableHeaderCell>Begin:</asp:TableHeaderCell><asp:TableCell><SplendidCRM:DatePicker runat="server" ID="BeginDate" /></asp:TableCell></asp:TableRow><asp:TableRow>
            <asp:TableHeaderCell>End:</asp:TableHeaderCell><asp:TableCell>
                <SplendidCRM:DatePicker runat="server" ID="EndDate" />
            </asp:TableCell></asp:TableRow><asp:TableRow>
            <asp:TableHeaderCell>Description:</asp:TableHeaderCell><asp:TableCell><asp:TextBox runat="server" ID="Description" TextMode="MultiLine" Rows="3" /></asp:TableCell></asp:TableRow><asp:TableRow>
            <asp:TableHeaderCell>Location:</asp:TableHeaderCell><asp:TableCell><asp:TextBox runat="server" ID="Location" /></asp:TableCell></asp:TableRow><asp:TableRow>
            <asp:TableCell ColumnSpan="2">
                <asp:Button ID="AddButton" runat="server" Text="Add" OnClick="AddButton_Click" /></asp:TableCell>
        </asp:TableRow>
    </asp:Table>
</div>
<div id="Edit" runat="server" style="display:none">
    <asp:GridView ID="EditGrid" runat="server" AutoGenerateDeleteButton="True" 
        AutoGenerateEditButton="True" AutoGenerateColumns="False" 
        onrowdeleted="EditGrid_RowDeleted" OnRowEditing="EditGrid_RowEditing"
        onrowupdated="EditGrid_RowUpdated" Width="100%" 
        EmptyDataText="No entries to edit" 
        onrowcancelingedit="EditGrid_RowCancelingEdit" 
        onrowdeleting="EditGrid_RowDeleting" onrowupdating="EditGrid_RowUpdating">
        <Columns>
            <asp:TemplateField HeaderText="Name">
                <ItemTemplate>
                    <asp:Label ID="lbl_Name" Text='<%# ((System.Data.DataRowView)Container.DataItem)["NAME"] %>' runat="server" />
                </ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Name" Text='<%# ((System.Data.DataRowView)Container.DataItem)["NAME"] %>' runat="server" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Begin">
                <ItemTemplate><asp:Label ID="lbl_Begin" Text='<%# DataBinder.Eval(Container.DataItem, "BEGINDATE", "{0:d}") %>' runat="server" /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Begin" Text='<%# DataBinder.Eval(Container.DataItem, "BEGINDATE", "{0:d}") %>' runat="server" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="End">
                <ItemTemplate><asp:Label ID="lbl_End" Text='<%# DataBinder.Eval(Container.DataItem, "ENDDATE", "{0:d}") %>' runat="server" /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_End" Text='<%# DataBinder.Eval(Container.DataItem, "ENDDATE", "{0:d}") %>' runat="server" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Description">
                <ItemTemplate><asp:Label ID="lbl_Description" Text='<%# ((System.Data.DataRowView)Container.DataItem)["DESCRIPTION"] %>' runat="server" /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Description" Text='<%# ((System.Data.DataRowView)Container.DataItem)["DESCRIPTION"] %>' 
                    runat="server" TextMode="MultiLine" Rows="3" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Location">
                <ItemTemplate><asp:Label ID="lbl_Location" runat="server" Text='<%# ((System.Data.DataRowView)Container.DataItem)["LOCATION"] %>' /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Location" runat="server" Text='<%# ((System.Data.DataRowView)Container.DataItem)["LOCATION"] %>' /></EditItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</div>

<div id="SelectedDay" runat="server" style="display:none">
    <asp:Label runat="server" ID="SelectedDayHeader" /><br />
    <asp:GridView ID="SelectionGrid" runat="server" AutoGenerateDeleteButton="False" 
        AutoGenerateEditButton="False" AutoGenerateColumns="False"  Width="100%" 
        EmptyDataText="No whereabouts information on selected day">
        <Columns>
            <asp:TemplateField HeaderText="Name">
                <ItemTemplate>
                    <asp:Label ID="lbl_Name" Text='<%# ((System.Data.DataRowView)Container.DataItem)["NAME"] %>' runat="server" />
                </ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Name" Text='<%# ((System.Data.DataRowView)Container.DataItem)["NAME"] %>' runat="server" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Begin">
                <ItemTemplate><asp:Label ID="lbl_Begin" Text='<%# DataBinder.Eval(Container.DataItem, "BEGINDATE", "{0:d}") %>' runat="server" /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Begin" Text='<%# DataBinder.Eval(Container.DataItem, "BEGINDATE", "{0:d}") %>' runat="server" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="End">
                <ItemTemplate><asp:Label ID="lbl_End" Text='<%# DataBinder.Eval(Container.DataItem, "ENDDATE", "{0:d}") %>' runat="server" /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_End" Text='<%# DataBinder.Eval(Container.DataItem, "ENDDATE", "{0:d}") %>' runat="server" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Description">
                <ItemTemplate><asp:Label ID="lbl_Description" Text='<%# ((System.Data.DataRowView)Container.DataItem)["DESCRIPTION"] %>' runat="server" /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Description" Text='<%# ((System.Data.DataRowView)Container.DataItem)["DESCRIPTION"] %>' 
                    runat="server" TextMode="MultiLine" Rows="3" /></EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Location">
                <ItemTemplate><asp:Label ID="lbl_Location" runat="server" Text='<%# ((System.Data.DataRowView)Container.DataItem)["LOCATION"] %>' /></ItemTemplate>
                <EditItemTemplate><asp:TextBox ID="txt_Location" runat="server" Text='<%# ((System.Data.DataRowView)Container.DataItem)["LOCATION"] %>' /></EditItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</div>

<cc1:EventCalendar ID="EventCalendar1" runat="server" BackColor="White" 
    BorderColor="White" BorderWidth="1px" EventDateColumnName="" 
    EventDescriptionColumnName="Description" EventHeaderColumnName="Name" Font-Names="Verdana" 
    Font-Size="9pt" Height="190px" NextPrevFormat="FullMonth" 
    DayStyle-ForeColor="#990033" DayHeaderStyle-Font-Bold="true"
    DayStyle-Font-Size="10pt"
    ShowDescriptionAsToolTip="True" EventEndDateColumnName="ENDDATE" 
    EventStartDateColumnName="BEGINDATE" style="text-align: center; width:100%" 
    ShowGridLines="True"  DayStyle-VerticalAlign="Top"
    onvisiblemonthchanged="EventCalendar1_VisibleMonthChanged"
    OnSelectionChanged="EventCalendar1_SelectionChanged">
        <SelectedDayStyle BackColor="#333399" ForeColor="White" />
        <TodayDayStyle BackColor="#CCCCCC" />
        <OtherMonthDayStyle ForeColor="#999999" />
        <NextPrevStyle Font-Bold="True" Font-Size="8pt" ForeColor="#333333" 
            VerticalAlign="Bottom" />
        <DayHeaderStyle Font-Bold="True" Font-Size="8pt" />
        <TitleStyle BackColor="White" BorderColor="Black" BorderWidth="4px" 
            Font-Bold="True" Font-Size="12pt" ForeColor="#333399" />
</cc1:EventCalendar>